Bug 848429 - Option to prevent quality checks for non-local users
Option to prevent quality checks for non-local users
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libpwquality (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 849072 1012854
  Show dependency treegraph
 
Reported: 2012-08-15 10:58 EDT by Stef Walter
Modified: 2013-09-27 05:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:21:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add local_users_only option (3.32 KB, patch)
2012-08-15 12:03 EDT, Stef Walter
no flags Details | Diff

  None (edit)
Description Stef Walter 2012-08-15 10:58:58 EDT
Tomas and I discussed today a way to prevent pam_pwquality from standing on the toes of directory/realm/domain policy when non-local users change their own passwords.

This was discussed a bit in bug #815405, but we came up with a way that should be acceptable to implement.
Comment 1 Stef Walter 2012-08-15 12:03:34 EDT
Created attachment 604635 [details]
Add local_users_only option

This patch adds a local_users_only option. 

When this option is set pam_pwquality checks whether the user shows up in the results of fgetpwent_r(). If the user does not show up there, then the passwords and updates the various authtoks, but does not check the quality of the password.
Comment 2 Fedora Update System 2012-08-16 16:11:54 EDT
libpwquality-1.2.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libpwquality-1.2.0-1.fc18
Comment 3 Fedora Update System 2012-08-16 17:27:40 EDT
Package libpwquality-1.2.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libpwquality-1.2.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12020/libpwquality-1.2.0-1.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-17 18:21:48 EDT
libpwquality-1.2.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.